Error 500 – Internal Server Error

Esto puede deberse a varios factores. Lo primero que debe comprobar es que los permisos del archivo y todos los archivos relativos a él están configurados en 755, que puede configurar en su cliente FTP o desde Cpanel file manager a través de chmod.

Cuando se seleccionan varios archivos para un cambio de permiso en algunos programas ftp, el programa ftp no configurará todos los archivos para ese cambio si solo uno de los scripts ya está establecido en 755. Verifique que cada archivo esté establecido en 755 y establezca cada uno individualmente si es necesario .

Un archivo ejecutable .php que tenga su ‘permiso establecido en 755 no se puede colocar en un permiso de carpeta establecido en 777.

Lo siguiente es asegurarse de que todas las configuraciones de ruta dentro del archivo sean correctas.

También a menudo, un cliente FTP cargará un archivo en binario en lugar de ascii cuando está configurado en automático. Haga que el programa cargue el archivo en ASCI e intente de nuevo. O binario si está cargando archivos compilados de PHP Zend o Ioncube, por ejemplo.

Otra causa común es un archivo .htaccess con líneas que no concuerdan con el servidor. Una manera rápida de ver si ese es el problema es cambiar el nombre del archivo a .htaccess.bak. Si el error desaparece, puede solucionar el problema de qué sección del archivo está causando el problema colocando un # al comienzo de cada línea.

Para rastrear el problema, puede encontrar un archivo llamado “error_log” en el directorio. Al ver las últimas líneas del archivo, debería poder localizar el problema y solucionarlo desde allí.

Un comando dentro de un archivo PHP que no funciona con PHP en modo CGI también puede causar este error y es posible que deba simplemente cambiar una línea para que esté más limpio y seguro.

¿Qué módulos requiere el script? Si un módulo no está disponible, esto puede disparar un 500. Consulte el sitio web o el desarrollo para conocer los requisitos del script.

Active el modo de depuración en el script y / o revise el archivo error_log para ver el problema.

Si su secuencia de comandos requiere una versión anterior de PHP o requisitos diferentes de los predeterminados, puede cambiar su configuración de php a través de su panel de control Cpanel y el icono de Seleccionar versión de PHP.